Public Member Functions

# wxMouseCaptureChangedEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxMouseCaptureChangedEvent:
[legend]

## Detailed Description

An mouse capture changed event is sent to a window that loses its mouse capture.

This is called even if wxWindow::ReleaseMouse was called by the application code. Handling this event allows an application to cater for unexpected capture releases which might otherwise confuse mouse handling code.

Availability: only available for the wxMSW port.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxMouseCaptureChangedEvent& event)

Event macros:

- EVT_MOUSE_CAPTURE_CHANGED(func):
  Process a `wxEVT_MOUSE_CAPTURE_CHANGED` event.

##

Library: wxCore
Category: Events

See also:
  wxMouseCaptureLostEvent, Events and Event Handling, wxWindow::CaptureMouse, wxWindow::ReleaseMouse, wxWindow::GetCapture

## Public Member Functions
| wxMouseCaptureChangedEvent (wxWindowID windowId=0, wxWindow *gainedCapture=NULL)
| Constructor.
wxWindow * | GetCapturedWindow () const
| Returns the window that gained the capture, or NULL if it was a non-wxWidgets window.

List of all members.

## Constructor & Destructor Documentation

wxMouseCaptureChangedEvent::wxMouseCaptureChangedEvent | ( | wxWindowID | windowId = `0`,
|  | wxWindow * | gainedCapture = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxWindow* wxMouseCaptureChangedEvent::GetCapturedWindow | ( |  | ) | const

Returns the window that gained the capture, or NULL if it was a non-wxWidgets window.

|  | [ top ]